Skip to main content
GET
Get positions

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

device_id
integer
обязательно

Параметры запроса

accuracy__gte
number<float>
accuracy__lte
number<float>
address
string
address__icontains
string
address__isnull
boolean
altitude__gte
number<float>
altitude__lte
number<float>
course__gte
number<float>
course__lte
number<float>
devicetime__gte
string<date-time>
devicetime__lte
string<date-time>
end_at
string<date-time>

Конец окна. Момент времени или дата, от которой берётся полночь.

fixtime
string<date-time>
fixtime__gt
string<date-time>
fixtime__gte
string<date-time>
fixtime__lt
string<date-time>
fixtime__lte
string<date-time>
geofenceids
string
geofenceids__in
string[]

Несколько значений могут быть разделены запятыми.

geofenceids__isnull
boolean
id
integer
id__gt
integer
id__in
integer[]

Несколько значений могут быть разделены запятыми.

latitude__gte
number<float>
latitude__lte
number<float>
longitude__gte
number<float>
longitude__lte
number<float>
ordering
string

Which field to use when ordering the results.

protocol
string
protocol__in
string[]

Несколько значений могут быть разделены запятыми.

A search term.

servertime__gte
string<date-time>
servertime__lte
string<date-time>
speed
number<float>
speed__gte
number<float>
speed__lte
number<float>
start_at
string<date-time>

Начало окна. Момент времени или дата, от которой берётся полночь.

valid
boolean

Ответ

200 - application/json
id
integer
обязательно
read-only
device
integer
обязательно
protocol
string
обязательно
Maximum string length: 128
devicetime
string<date-time>
обязательно
fixtime
string<date-time>
обязательно
valid
boolean
обязательно
latitude
number<double>
обязательно
longitude
number<double>
обязательно
altitude
number<double>
обязательно
speed
number<double>
обязательно
course
number<double>
обязательно
servertime
string<date-time>
address
string | null
Maximum string length: 512
accuracy
number<double>
network
string | null
Maximum string length: 4000
geofenceids
string | null
Maximum string length: 128
attributes
unknown